Description

Mathieu Malaterre <email-address-removed> reported on 2020-03-25 that the documentation of the dcm2json tool is wrong
regarding the documentation of Bulk Data:

| am reading the following section of dcm2json man page:

e https://support.dcmtk.org/docs/dcm2json.htmi#dcm?2json_bulk data

"Binary data, i.e. DICOM element values with Value Representations
(VR) of OB or OW, as well as OD, OF and UN values are by default not
written to the JSON output because of their size."

| fail to understand that sentence, or at least | fail to understand

the behavior of dcm2json 3.6.5 when applied to a couple of DICOM
files. Why am | getting an "InlineBinary" (sometimes empty) on the
Pixel Data element (and other VR:OB attributes, eg. private ones)
instead of a BulkDataURI ?

This description is definitely wrong, i.e. it does not comply with the implementation. It seems that the current description is just a copy
of the text from dem2xmil:

https: support.dcmtk.org/docs/dcm2xml .html#dcm2xml bulk data

History

#1 - 2020-04-06 16:54 - Jorg Riesmeier

- Module changed from dcmdata/dcmZ2json to decmdata

#2 - 2020-05-19 12:15 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed with commit f82a5f0.

#3 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

#4 - 2020-05-25 13:31 - Michael Onken

- Target version set to 3.6.6
